VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "USB-DIO-96 Count Sample"
   ClientHeight    =   3960
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4560
   LinkTopic       =   "MainForm"
   ScaleHeight     =   264
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   304
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer ReadTime 
      Interval        =   250
      Left            =   1800
      Top             =   720
   End
   Begin VB.ListBox CountList 
      Height          =   3480
      IntegralHeight  =   0   'False
      ItemData        =   "MainForm.frx":0000
      Left            =   1440
      List            =   "MainForm.frx":0037
      TabIndex        =   3
      Top             =   360
      Width           =   3000
   End
   Begin VB.CheckBox ClearCheck 
      Caption         =   "Clear Counters Each Read"
      Height          =   960
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   1200
   End
   Begin VB.CommandButton DisableButton 
      Caption         =   "Disable"
      Height          =   360
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   1200
   End
   Begin VB.CommandButton EnableStartButton 
      Caption         =   "Enable && Start"
      Height          =   360
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1200
   End
   Begin VB.Label Label1 
      Caption         =   "Pulse Durations && Latest Reads"
      Height          =   240
      Left            =   1560
      TabIndex        =   4
      Top             =   120
      Width           =   2880
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub EnableCounting(ControlByte As Byte)
    GenericVendorWrite diOnly, &H1E, ControlByte, 0, 0, 0
End Sub

Private Sub DisableButton_Click()
    EnableCounting 0
End Sub

Private Sub EnableStartButton_Click()
    GenericVendorWrite diOnly, &H3C, &HFB4F, &H8001, 0, 0
    EnableCounting 1
End Sub

Private Sub ReadTime_Timer()
    Dim Buf(0 To 24, 0 To 1) As Integer
    Dim ClearCode As Integer
    Dim I As Long, L As Long

    If ClearCheck.Value Then ClearCode = 1 Else ClearCode = 0
    L = 25 * 2
    GenericVendorRead diOnly, &H1E, 0, 0, L, Buf(0, 0)
    L = 25 * 2
    GenericVendorRead diOnly, &H1E, ClearCode, 1, L, Buf(0, 1) 'Only clear on the last read.

    For I = 0 To 7
        CountList.List(1 + I) = Str$(I) _
        + vbTab + Hex$(Buf(3 * I + 1, 0)) _
        + vbTab + Hex$(Buf(3 * I + 2, 0)) _
        + vbTab + Hex$(Buf(3 * I + 3, 0))
    Next I

    For I = 0 To 7
        CountList.List(1 + 8 + I) = Str(8 + I) _
        + vbTab + Hex$(Buf(3 * I + 1, 1)) _
        + vbTab + Hex$(Buf(3 * I + 2, 1)) _
        + vbTab + Hex$(Buf(3 * I + 3, 1))
    Next I
End Sub
